package com.liang.entity;

import java.io.Serializable;
import java.sql.Date;

/**
 * 项目费用支出（StaProjectExpenses）实体类
 */
public class StaProjectExpenses implements Serializable {
    private static final long serialVersionUID = -38899931520398267L;

    private Integer id;

    private Integer zb;
    private String yqcg;//预期成果
    private Date qsrq;//起始日期
    private Date jsrq;//结束日期
    private Double ndys;//年度预算
    private Double fysq;//申请费用
    private String jyfy;//结余费用
    private Double xmh;//项目成本（含税）
    private Double xmbh;////项目成本（不含税）
    private Double lsygh;//临时用工（含税）
    private Double lsygbh;//临时用工（不含税）
    private Double zjfh;//专家费（含税）
    private Double zjfbh;//专家费（不含税）
    private Double zlfh;//资料费（含税）
    private Double zlfbh;//资料费（不含税）
    private Double ysfh;//印刷费（含税）
    private Double ysfbh;//印刷费（不含税）
    private Double hyfh;//会议费（含税）
    private Double hyfbh;//会议费（不含税）
    private Double clfh;//差旅费（含税）
    private Double clfbh;//差旅费（不含税）
    private Double zscqh;//知识产权（含税）
    private Double zscqbh;//知识产权（不含税）
    private Double wwyjnh;//外委研究系统内（含税）
    private Double wwyjnbh;//外委研究系统内（不含税）
    private Double wwyjyh;//外委研究系统外（含税）
    private Double wwyjybh;//外委研究系统外（不含税）
    private Double wxcsnh;//外协测试系统内（含税）
    private Double wxcsnbh;//外协测试系统内（不含税）
    private Double wxcswh;//外协测试系统外（含税）
    private Double wxcswbh;//外协测试系统外（不含税）
    private Double jjfh;//间接费（含税）
    private Double jjfbh;//间接费（不含税）
    private Double yclh;//原材料（含税）
    private Double yclbh;//原材料（不含税）
    private Double zbxh;//资本性支出（含税）
    private Double zbxbh;//资本性支出（不含税）

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getZb() {
        return zb;
    }

    public void setZb(Integer zb) {
        this.zb = zb;
    }

    public String getYqcg() {
        return yqcg;
    }

    public void setYqcg(String yqcg) {
        this.yqcg = yqcg;
    }

    public Date getQsrq() {
        return qsrq;
    }

    public void setQsrq(Date qsrq) {
        this.qsrq = qsrq;
    }

    public Date getJsrq() {
        return jsrq;
    }

    public void setJsrq(Date jsrq) {
        this.jsrq = jsrq;
    }

    public Double getNdys() {
        return ndys;
    }

    public void setNdys(Double ndys) {
        this.ndys = ndys;
    }

    public Double getFysq() {
        return fysq;
    }

    public void setFysq(Double fysq) {
        this.fysq = fysq;
    }

    public String getJyfy() {
        return jyfy;
    }

    public void setJyfy(String jyfy) {
        this.jyfy = jyfy;
    }

    public Double getXmh() {
        return xmh;
    }

    public void setXmh(Double xmh) {
        this.xmh = xmh;
    }

    public Double getXmbh() {
        return xmbh;
    }

    public void setXmbh(Double xmbh) {
        this.xmbh = xmbh;
    }

    public Double getLsygh() {
        return lsygh;
    }

    public void setLsygh(Double lsygh) {
        this.lsygh = lsygh;
    }

    public Double getLsygbh() {
        return lsygbh;
    }

    public void setLsygbh(Double lsygbh) {
        this.lsygbh = lsygbh;
    }

    public Double getZjfh() {
        return zjfh;
    }

    public void setZjfh(Double zjfh) {
        this.zjfh = zjfh;
    }

    public Double getZjfbh() {
        return zjfbh;
    }

    public void setZjfbh(Double zjfbh) {
        this.zjfbh = zjfbh;
    }

    public Double getZlfh() {
        return zlfh;
    }

    public void setZlfh(Double zlfh) {
        this.zlfh = zlfh;
    }

    public Double getZlfbh() {
        return zlfbh;
    }

    public void setZlfbh(Double zlfbh) {
        this.zlfbh = zlfbh;
    }

    public Double getYsfh() {
        return ysfh;
    }

    public void setYsfh(Double ysfh) {
        this.ysfh = ysfh;
    }

    public Double getYsfbh() {
        return ysfbh;
    }

    public void setYsfbh(Double ysfbh) {
        this.ysfbh = ysfbh;
    }

    public Double getHyfh() {
        return hyfh;
    }

    public void setHyfh(Double hyfh) {
        this.hyfh = hyfh;
    }

    public Double getHyfbh() {
        return hyfbh;
    }

    public void setHyfbh(Double hyfbh) {
        this.hyfbh = hyfbh;
    }

    public Double getClfh() {
        return clfh;
    }

    public void setClfh(Double clfh) {
        this.clfh = clfh;
    }

    public Double getClfbh() {
        return clfbh;
    }

    public void setClfbh(Double clfbh) {
        this.clfbh = clfbh;
    }

    public Double getZscqh() {
        return zscqh;
    }

    public void setZscqh(Double zscqh) {
        this.zscqh = zscqh;
    }

    public Double getZscqbh() {
        return zscqbh;
    }

    public void setZscqbh(Double zscqbh) {
        this.zscqbh = zscqbh;
    }

    public Double getWwyjnh() {
        return wwyjnh;
    }

    public void setWwyjnh(Double wwyjnh) {
        this.wwyjnh = wwyjnh;
    }

    public Double getWwyjnbh() {
        return wwyjnbh;
    }

    public void setWwyjnbh(Double wwyjnbh) {
        this.wwyjnbh = wwyjnbh;
    }

    public Double getWwyjyh() {
        return wwyjyh;
    }

    public void setWwyjyh(Double wwyjyh) {
        this.wwyjyh = wwyjyh;
    }

    public Double getWwyjybh() {
        return wwyjybh;
    }

    public void setWwyjybh(Double wwyjybh) {
        this.wwyjybh = wwyjybh;
    }

    public Double getWxcsnh() {
        return wxcsnh;
    }

    public void setWxcsnh(Double wxcsnh) {
        this.wxcsnh = wxcsnh;
    }

    public Double getWxcsnbh() {
        return wxcsnbh;
    }

    public void setWxcsnbh(Double wxcsnbh) {
        this.wxcsnbh = wxcsnbh;
    }

    public Double getWxcswh() {
        return wxcswh;
    }

    public void setWxcswh(Double wxcswh) {
        this.wxcswh = wxcswh;
    }

    public Double getWxcswbh() {
        return wxcswbh;
    }

    public void setWxcswbh(Double wxcswbh) {
        this.wxcswbh = wxcswbh;
    }

    public Double getJjfh() {
        return jjfh;
    }

    public void setJjfh(Double jjfh) {
        this.jjfh = jjfh;
    }

    public Double getJjfbh() {
        return jjfbh;
    }

    public void setJjfbh(Double jjfbh) {
        this.jjfbh = jjfbh;
    }

    public Double getYclh() {
        return yclh;
    }

    public void setYclh(Double yclh) {
        this.yclh = yclh;
    }

    public Double getYclbh() {
        return yclbh;
    }

    public void setYclbh(Double yclbh) {
        this.yclbh = yclbh;
    }

    public Double getZbxh() {
        return zbxh;
    }

    public void setZbxh(Double zbxh) {
        this.zbxh = zbxh;
    }

    public Double getZbxbh() {
        return zbxbh;
    }

    public void setZbxbh(Double zbxbh) {
        this.zbxbh = zbxbh;
    }

    public StaProjectExpenses() {
    }

    public StaProjectExpenses(Integer id, Integer zb, String yqcg, Date qsrq, Date jsrq, Double ndys, Double fysq, String jyfy, Double xmh, Double xmbh, Double lsygh, Double lsygbh, Double zjfh, Double zjfbh, Double zlfh, Double zlfbh, Double ysfh, Double ysfbh, Double hyfh, Double hyfbh, Double clfh, Double clfbh, Double zscqh, Double zscqbh, Double wwyjnh, Double wwyjnbh, Double wwyjyh, Double wwyjybh, Double wxcsnh, Double wxcsnbh, Double wxcswh, Double wxcswbh, Double jjfh, Double jjfbh, Double yclh, Double yclbh, Double zbxh, Double zbxbh) {
        this.id = id;
        this.zb = zb;
        this.yqcg = yqcg;
        this.qsrq = qsrq;
        this.jsrq = jsrq;
        this.ndys = ndys;
        this.fysq = fysq;
        this.jyfy = jyfy;
        this.xmh = xmh;
        this.xmbh = xmbh;
        this.lsygh = lsygh;
        this.lsygbh = lsygbh;
        this.zjfh = zjfh;
        this.zjfbh = zjfbh;
        this.zlfh = zlfh;
        this.zlfbh = zlfbh;
        this.ysfh = ysfh;
        this.ysfbh = ysfbh;
        this.hyfh = hyfh;
        this.hyfbh = hyfbh;
        this.clfh = clfh;
        this.clfbh = clfbh;
        this.zscqh = zscqh;
        this.zscqbh = zscqbh;
        this.wwyjnh = wwyjnh;
        this.wwyjnbh = wwyjnbh;
        this.wwyjyh = wwyjyh;
        this.wwyjybh = wwyjybh;
        this.wxcsnh = wxcsnh;
        this.wxcsnbh = wxcsnbh;
        this.wxcswh = wxcswh;
        this.wxcswbh = wxcswbh;
        this.jjfh = jjfh;
        this.jjfbh = jjfbh;
        this.yclh = yclh;
        this.yclbh = yclbh;
        this.zbxh = zbxh;
        this.zbxbh = zbxbh;
    }
}
